Bug 1175054 - SELinux is preventing /usr/bin/kdm (deleted) from 'entrypoint' accesses on the file /etc/kde/kdm/Xsetup.
Summary: SELinux is preventing /usr/bin/kdm (deleted) from 'entrypoint' accesses on th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7e059cc7de6c306b70e2fd61985...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-17 04:22 UTC by Raman Gupta
Modified: 2015-01-30 23:54 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:54:45 UTC
Type: ---


Attachments (Terms of Use)

Description Raman Gupta 2014-12-17 04:22:54 UTC
Description of problem:
SELinux is preventing /usr/bin/kdm (deleted) from 'entrypoint' accesses on the file /etc/kde/kdm/Xsetup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that kdm (deleted) should be allowed entrypoint access on the Xsetup file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep kdm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Context                system_u:object_r:etc_t:s0
Target Objects                /etc/kde/kdm/Xsetup [ file ]
Source                        kdm
Source Path                   /usr/bin/kdm (deleted)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           kde-settings-kdm-21-1.fc21.noarch
Policy RPM                    selinux-policy-3.13.1-99.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.17.3-300.fc21.x86_64 #1 SMP Fri
                              Nov 14 23:36:19 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-12-11 00:03:15 EST
Last Seen                     2014-12-11 00:03:15 EST
Local ID                      37434d81-d131-47cd-9664-bdafb8c78641

Raw Audit Messages
type=AVC msg=audit(1418274195.813:161482): avc:  denied  { entrypoint } for  pid=14442 comm="kdm" path="/etc/kde/kdm/Xsetup" dev="dm-0" ino=133686 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1418274195.813:161482): arch=x86_64 syscall=execve success=no exit=EACCES a0=7fc82c11fc10 a1=7fc82c11fd00 a2=7fc82c11ce00 a3=8 items=0 ppid=5516 pid=14442 auid=1000 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4 comm=kdm exe=2F7573722F62696E2F6B646D202864656C6574656429 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: kdm,unconfined_t,etc_t,file,entrypoint

Version-Release number of selected component:
selinux-policy-3.13.1-99.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.4-301.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2015-01-02 16:30:19 UTC
6fa658c79e74fa1978a5dc6c28ffae0a4a1a551b fixes this in git.

Comment 2 Lukas Vrabec 2015-01-15 15:39:01 UTC
commit ae0a8a5af81851f5a7fe3d59cf8c513bf9aee30b
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Fri Jan 2 11:25:54 2015 -0500

    Fix labels on /etc/kde/kdm

Comment 3 Fedora Update System 2015-01-27 16:49:20 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 4 Fedora Update System 2015-01-30 04:32:18 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 23:54:45 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.